There has been some buzz on vuln-dev over a possible buffer overflow in the current and past releases of awk. You can get some information on it from http://www.gnulinux.net or vuln-dev mailing list archives.